Table of Contents

Class: Ref | Twisted-0.19.0/twisted/persisted/aot.py
--- | ---
Methods |
--- | ---
__init__ getSource setObj setRef
| __init__
    __init__ ( self,  *args )
| getSource
    getSource ( self )
Exceptions |
--- | ---
RuntimeError( "Don't try to display me before setting an object on me!" )
| setObj
    setObj ( self,  obj )
Exceptions |
--- | ---
ValueError("Error setting obj %s, I already have %s" %( obj, self.obj ) )
| setRef
    setRef ( self,  num )
Exceptions |
--- | ---
ValueError("Error setting id %s, I already have %s" %( num, self.refnum ) )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:54 2002 by HappyDoc version 2.0